#ifndef __I2C_INCLUDED__
#define __I2C_INCLUDED__

/* Timeout fuer jede I2C-Scan-Operation in Millisekunden */
#define I2C_SCANTIMEOUT		200 
#define I2C_NORMALTIMEOUT	300
#define I2C_EE            	I2C1  // interface number
#define EEPROM_HW_ADDRESS       0xA0  // E0 = E1 = E2 = 0 */
#define PCF8574_HW_ADDRESS	0x4e  // E0 = E1 = E2 = 1 */
#define BIG_EEPROM		0     // > 24C02

  

enum
{
  I2C_OK,		//0
  I2C_NOSTART,		//1
  I2C_STARTTIMEOUT,	//2
  I2C_NOACK,		//3
  I2C_ACKTIMEOUT,	//4
  I2C_NACKTIMEOUT,	//5
  I2C_OTHERTIMEOUT,	//6
  I2C_BUSYTIMEOUT,	//7
  I2C_OFF,		//8
  I2C_STOP,		//9
  I2C_ERROR_ADDR	//10
};

  
void i2c_init(void);
void I2C_Configuration(void);
void I2C_EE_ByteWrite(uint16_t WriteAddr, uint8_t val);
int pcf8574_read( int file, int devaddr, unsigned char *data);
int pcf8574_write( int file, int devaddr, unsigned char byte_w);
uint8_t I2C_EE_ByteRead( uint16_t ReadAddr);
uint8_t I2C_paketRead( uint16_t addr_i2c_device, uint8_t *buf, uint8_t len);
uint8_t I2C_paketWrite( uint16_t addr_i2c_device, uint8_t *buf, uint8_t len);

#endif //__I2C_INCLUDED__

