#ifndef __I2CLCD_INCLUDED__
#define __I2CLCD_INCLUDED__


#define LCD_CMD  0b00000000
#define LCD_DATA 0b00000001
#define E_HIGH   0b00000100
#define E_LOW    0b11111011
#define BL_ON    0b00001000
#define BL_OFF   0b11110111

// provided Functions

void lcd_init_disp(void);				// Setup LCD display for application
void lcd_line(uint8_t which_line);			// Move to line specified by which_line
void lcd_clear(void);					// Clear LCD
void lcd_set_cur(uint8_t LCDrow, uint8_t LCDcol);	// Set row, col cursor position in LCD
void lcd_put(uint8_t  c);				// display a character on LCD
void lcd_puts(char * s);				// display a string on LCD
void lcd_bgl(uint8_t backgroundlight);			// switch LCD Background Light on/off at next output

#endif //__I2CLCD_INCLUDED__

