/* UART-Ansteuerung fuer STM32F103C8T6 */

/* Senden + Empfangen erfolgt gepuffert ueber V24puffer per Interrupt.

   Beim Senden wird eine begrenzte Zeit gewartet, wenn der Sendepuffer voll ist
   Beim Empfangen wird nicht gewartet, sondern 0 geliefert, wenn nix anliegt.
   Also vorher pruefen, ob Zeichen im Rx anliegen
 */

#ifndef SERIALINCLUDED
#define SERIALINCLUDED

extern void Init_USART1 (void);
extern void Init_USART2 (void);
extern void Init_USART3 (void);

extern int8_t  USART1_PutChar  (int8_t c);         /* Zeichen senden */
extern int8_t  USART2_PutChar  (int8_t c);
extern int8_t  USART3_PutChar  (int8_t c);

extern int32_t   USART1_TxFree (void);          /* Anzahl freier Plaetze im Sendepuffer */
extern int32_t   USART2TxFree (void);
extern int32_t   USART3TxFree (void);

extern int8_t  USART1_RxAvail   (void);           /* ob Zeichen empfangen wurden */
extern int8_t  USART2_RxAvail   (void);
extern int8_t  USART3_RxAvail   (void);

extern uint8_t  USART1_GetChar   (void);           /* empfangene Zeichen abholen */
extern uint8_t  USART2_GetChar   (void);
extern uint8_t  USART3_GetChar   (void);

extern void  USART1_TxDone    (void);           /* warten bis Sendepuffer geleert ist */
extern void  USART2_TxDone    (void);
extern void  USART3_TxDone    (void);

extern void USART1_PutString( const char *s);
extern void USART2_PutString( const char *s);
extern void USART3_PutString( const char *s);


#endif

/*  Ende  */

